Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1573466 - octavia.conf is in multiple locations in controller
Summary: octavia.conf is in multiple locations in controller
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-octavia
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Assaf Muller
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 11:31 UTC by Noam Manos
Modified: 2018-05-02 13:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-02 13:47:44 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Noam Manos 2018-05-01 11:31:11 UTC
Description of problem:

Trying to figure where is octavia.conf located, for example, when requiring to 
configure ACTIVE_STANDBY mode - user might edit the wrong octavia.conf file.

Acording to:
https://docs.openstack.org/octavia/pike/contributor/guides/dev-quick-start.html

The obvious option is to "Create or update /etc/octavia/octavia.conf "

However, the current working location is:
/var/lib/config-data/puppet-generated/octavia/etc/octavia/octavia.conf


Version-Release number of selected component (if applicable):
OSP: 13   
Puddle: 2018-04-10.2

How reproducible:
Always

Steps to Reproduce:

Login to Controller (where Octavia is deployed), and run as sudo:
[root@controller-0 ~]# find / -name octavia.conf

Actual results:

Found octavia.conf in (at least) 3 locations:
/etc/octavia/octavia.conf
/var/lib/config-data/puppet-generated/octavia/etc/octavia/octavia.conf
/var/lib/config-data/octavia/etc/octavia/octavia.conf


Expected results:
Please set octavia.conf file in a single location (preferably /etc/octavia/octavia.conf)

Comment 1 Assaf Muller 2018-05-01 14:15:11 UTC
Containerized services use:
/var/lib/config-data/puppet-generated/*/etc/

That being said, why do we also place it in /etc/octavia and /var/lib/config-data/octavia/etc/octavia?

Comment 2 Brent Eagles 2018-05-01 18:17:06 UTC
The two paths are part of how the puppet generated configuration is written and managed for all services. docker-puppet.py uses some logic to only update files in /var/lib/config-data/puppet-generated that were changed in the last "puppet apply". This will be everything on initial deploy. It then does some magic involving md5 digest calculated on /var/lib/config-data/puppet-generated, paunch and the docker container to restart if something has changed.

Comment 3 Assaf Muller 2018-05-02 13:47:44 UTC
Closing as NOTABUG, Octavia is identical to all other services in this regard. TripleO installs the octavia/nova/cinder/whatever .rpms on the overcloud nodes which results in /etc/octavia/*, and containerization results in the other two files. We may remove the rpm packages from the overcloud in future versions, but not in 13.


Note You need to log in before you can comment on or make changes to this bug.